package com.zehong.system.service.track;

import java.util.List;
import com.zehong.system.domain.track.TProductInspect;

/**
 * 生产执行Service接口
 * 
 * @author zehong
 * @date 2024-08-26
 */
public interface ITProductInspectService 
{
    /**
     * 查询生产执行
     * 
     * @param id 生产执行ID
     * @return 生产执行
     */
    public TProductInspect selectTProductInspectById(Long id);

    /**
     * 查询生产执行列表
     * 
     * @param tProductInspect 生产执行
     * @return 生产执行集合
     */
    public List<TProductInspect> selectTProductInspectList(TProductInspect tProductInspect);

    /**
     * 新增生产执行
     * 
     * @param tProductInspect 生产执行
     * @return 结果
     */
    public int insertTProductInspect(TProductInspect tProductInspect);

    /**
     * 修改生产执行
     * 
     * @param tProductInspect 生产执行
     * @return 结果
     */
    public int updateTProductInspect(TProductInspect tProductInspect);

    /**
     * 批量删除生产执行
     * 
     * @param ids 需要删除的生产执行ID
     * @return 结果
     */
    public int deleteTProductInspectByIds(Long[] ids);

    /**
     * 删除生产执行信息
     * 
     * @param id 生产执行ID
     * @return 结果
     */
    public int deleteTProductInspectById(Long id);
}
